
public class Class513 implements Interface14 {

   Class64 aClass64_6067;


   Class513(Class64 var1) {
      this.aClass64_6067 = var1;
   }

   public int method50(Class169 var1, int var2) {
      Integer var3 = this.aClass64_6067.method1381(client.aClass481_7742.anInt5859 * -179465313 << 16 | var1.anInt2046 * -2027087877, (byte)82);
      if(null == var3) {
         if(var2 <= 258921611) {
            ;
         }

         return ((Integer)var1.method2888(235666699)).intValue();
      } else {
         return var3.intValue();
      }
   }

   public long method58(Class169 var1, int var2) {
      Long var3 = this.aClass64_6067.method1324(-179465313 * client.aClass481_7742.anInt5859 << 16 | -2027087877 * var1.anInt2046, 2119643143);
      return var3 == null?((Long)var1.method2888(235666699)).longValue():var3.longValue();
   }

   public Object method60(Class169 var1, int var2) {
      if(var1.aClass337_2047 != Class337.aClass337_4247) {
         if(var2 <= 196624946) {
            ;
         }

         throw new IllegalArgumentException("");
      } else {
         return this.aClass64_6067.method1318(-179465313 * client.aClass481_7742.anInt5859 << 16 | var1.anInt2046 * -2027087877, 592469478);
      }
   }

   public int method49(Class295 var1, byte var2) {
      return var1.method5336(this.method50(var1.aClass169_3483, 1076678909), -659441241);
   }

   public void method57(Class169 var1, int var2, byte var3) {
      throw new UnsupportedOperationException();
   }

   public void method62(Class295 var1, int var2) {
      throw new UnsupportedOperationException();
   }

   public void method61(Class169 var1, Object var2, int var3) {
      throw new UnsupportedOperationException();
   }

   public void method63(Class295 var1, int var2, int var3) {
      throw new UnsupportedOperationException();
   }

   public int method48(Class169 var1) {
      Integer var2 = this.aClass64_6067.method1381(client.aClass481_7742.anInt5859 * -179465313 << 16 | var1.anInt2046 * -2027087877, (byte)95);
      return null == var2?((Integer)var1.method2888(235666699)).intValue():var2.intValue();
   }

   public void method59(Class169 var1, long var2) {
      throw new UnsupportedOperationException();
   }

   public long method65(Class169 var1) {
      Long var2 = this.aClass64_6067.method1324(-179465313 * client.aClass481_7742.anInt5859 << 16 | -2027087877 * var1.anInt2046, 117397591);
      return var2 == null?((Long)var1.method2888(235666699)).longValue():var2.longValue();
   }

   public void method73(Class295 var1, int var2) {
      throw new UnsupportedOperationException();
   }

   public void method66(Class169 var1, long var2) {
      throw new UnsupportedOperationException();
   }

   public void method64(Class169 var1, long var2) {
      throw new UnsupportedOperationException();
   }

   public int method51(Class295 var1) {
      return var1.method5336(this.method50(var1.aClass169_3483, 1429952309), -659441241);
   }

   public Object method67(Class169 var1) {
      if(var1.aClass337_2047 != Class337.aClass337_4247) {
         throw new IllegalArgumentException("");
      } else {
         return this.aClass64_6067.method1318(-179465313 * client.aClass481_7742.anInt5859 << 16 | var1.anInt2046 * -2027087877, -1416198185);
      }
   }

   public Object method69(Class169 var1) {
      if(var1.aClass337_2047 != Class337.aClass337_4247) {
         throw new IllegalArgumentException("");
      } else {
         return this.aClass64_6067.method1318(-179465313 * client.aClass481_7742.anInt5859 << 16 | var1.anInt2046 * -2027087877, -1853679809);
      }
   }

   public void method68(Class169 var1, int var2) {
      throw new UnsupportedOperationException();
   }

   public void method70(Class169 var1, Object var2) {
      throw new UnsupportedOperationException();
   }

   public void method71(Class295 var1, int var2) {
      throw new UnsupportedOperationException();
   }

   public void method56(Class295 var1, int var2) {
      throw new UnsupportedOperationException();
   }

   public Object method72(Class169 var1) {
      if(var1.aClass337_2047 != Class337.aClass337_4247) {
         throw new IllegalArgumentException("");
      } else {
         return this.aClass64_6067.method1318(-179465313 * client.aClass481_7742.anInt5859 << 16 | var1.anInt2046 * -2027087877, 85416782);
      }
   }

   static final void method10891(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.aBool1399 = var2.anIntArray6027[(var2.anInt6003 -= 98312473) * -937710807] == 1;
      Class460.method7767(var0, 1352147309);
      if(-1 == var0.anInt1369 * -875927841 && !var1.aBool1206) {
         Class167_Sub1.method14834(34646887 * var0.anInt1406, -1392749001);
      }

   }

   static final void method10892(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class456.method7717(var3, var4, var0, -525627980);
   }

   static final void method10893(Class508 var0, int var1) {
      String var2 = (String)var0.anObjectArray6004[(var0.anInt6005 -= -46848683) * 639741949];
      if(15 == 1881519639 * client.anInt7734 && !Class225_Sub21_Sub3.method15650((byte)-32)) {
         if(var2.length() > 20) {
            client.aByte7937 = -4;
         } else {
            client.aByte7937 = -1;
            Class225_Sub15 var3 = Class543.method11415(OutgoingOpcode.aClass302_3861, client.aClass180_7703.aClass433_2184, (byte)1);
            var3.buffer.writeByte(0, -765864773);
            int var4 = var3.buffer.position * -543666943;
            var3.buffer.writeString(var2, (byte)77);
            var3.buffer.method13717(-543666943 * var3.buffer.position - var4, -1281278168);
            client.aClass180_7703.method3191(var3, (byte)112);
         }
      } else {
         client.aByte7937 = -5;
      }
   }

   static final void method10894(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub26_8487.method13456(-595012839)?1:0;
   }
}
